using Hotline.Quality;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Orders
{
	[Description("重复性事件")]
	public class RepeatableEvent : FullStateEntity
	{
		/// <summary>
		/// 标题
		/// </summary>
		[SugarColumn(ColumnDescription = "标题")]
		public string Title { get; set; }

		/// <summary>
		/// 编号
		/// </summary>
		[SugarColumn(ColumnDescription = "编号")]
		public string? Code { get; set; }

		/// <summary>
		/// 关键词
		/// </summary>
		[SugarColumn(ColumnDescription = "关键词", ColumnDataType = "text")]
		public string? KeyWords { get; set; }

		/// <summary>
		/// 更新人
		/// </summary>
		[SugarColumn(ColumnDescription = "更新人")]
		public string? LastModificationName { get; set; }

		[Navigate(NavigateType.OneToMany, nameof(RepeatableEventDetail.RepeatableId))]
		public List<RepeatableEventDetail> Details { get; set; }
	}
}
